el8 pipelines failing on dnf module-related error

Description

Hi,

our el8 pipelines are failing with:

[2019-11-06T09:50:58.119Z] # /usr/bin/dnf --installroot
/var/lib/mock/epel-8-x86_64-07665569fc3ce1a11bd8aaf80a58999f-18386/root/
-y --releasever 8 --setopt=deltarpm=False --allowerasing
--disableplugin=local --disableplugin=spacewalk module enable
javapackages-tools python36 --setopt=tsflags=nocontexts
<https://jenkins.ovirt.org/blue/organizations/jenkins/vdsm_standard-check-patch/detail/vdsm_standard-check-patch/13850/pipeline/135#step-555-log-120>[2019-11-06T09:50:58.119Z]
Error: Problems in request:
<https://jenkins.ovirt.org/blue/organizations/jenkins/vdsm_standard-check-patch/detail/vdsm_standard-check-patch/13850/pipeline/135#step-555-log-121>[2019-11-06T09:50:58.119Z]
missing groups or modules: javapackages-tools, python36

I did a quick test locally on a CentOS 8 container image and these are
installable simply as packages (without any module tinkering):

dnf idnf install[root@f43b0f10a3c8 /]# dnf install python36 javapackages-tools
Failed to set locale, defaulting to C
CentOS-8 - AppStream

1.7 MB/s | 6.3 MB 00:03
CentOS-8 - Base

1.9 MB/s | 7.9 MB 00:04
CentOS-8 - Extras

689 B/s | 2.1 kB 00:03
Dependencies resolved.
==============================================================================================================================================================================
Package Arch
Version
Repository Size
==============================================================================================================================================================================
Installing:
javapackages-tools noarch
5.3.0-1.module_el8.0.0+11+5b8c10bd
AppStream 44 k
python36 x86_64
3.6.8-2.module_el8.0.0+33+0a10c0e1
AppStream 19 k
Installing dependencies:
copy-jdk-configs noarch
3.7-1.el8
AppStream 27 k
java-1.8.0-openjdk-headless x86_64
1:1.8.0.232.b09-0.el8_0
AppStream 32 M
javapackages-filesystem noarch
5.3.0-1.module_el8.0.0+11+5b8c10bd
AppStream 30 k
libjpeg-turbo x86_64
1.5.3-7.el8
AppStream 155 k
lua x86_64
5.3.4-10.el8
AppStream 192 k
nspr x86_64
4.21.0-2.el8_0
AppStream 143 k
nss x86_64
3.44.0-7.el8_0
AppStream 722 k
nss-softokn x86_64
3.44.0-7.el8_0
AppStream 470 k
nss-softokn-freebl x86_64
3.44.0-7.el8_0
AppStream 274 k
nss-sysinit x86_64
3.44.0-7.el8_0
AppStream 69 k
nss-util x86_64
3.44.0-7.el8_0
AppStream 134 k
python3-pip noarch
9.0.3-13.el8
AppStream 18 k
tzdata-java noarch
2019a-1.el8
AppStream 188 k
avahi-libs x86_64
0.7-19.el8
BaseOS 62 k
cups-libs x86_64
1:2.2.6-25.el8
BaseOS 432 k
freetype x86_64
2.9.1-4.el8
BaseOS 393 k
libpng x86_64
2:1.6.34-5.el8
BaseOS 126 k
lksctp-tools x86_64
1.0.18-3.el8
BaseOS 100 k
python3-setuptools noarch
39.2.0-4.el8
BaseOS 162 k
which x86_64
2.21-10.el8
BaseOS 49 k
Enabling module streams:
javapackages-runtime
201801
python36
3.6

Transaction Summary
==============================================================================================================================================================================
Install 22 Packages

Total download size: 36 M
Installed size: 125 M
Is this ok [y/N]:

Example pipelines:

https://jenkins.ovirt.org/blue/organizations/jenkins/vdsm_standard-check-patch/detail/vdsm_standard-check-patch/13850/pipeline/135#step-555-log-119

https://jenkins.ovirt.org/blue/organizations/jenkins/vdsm_standard-check-patch/detail/vdsm_standard-check-patch/13849/pipeline/#step-672-log-119

Can you please look into this?

Thanks, Marcin

Assignee

Emil Natan

Reporter

Marcin Sobczyk

Blocked By

None

Priority

Medium
Configure